Contents
Index 🔎︎

# ThisComponent Object

Addresses the active component whose properties can be read and set, and whose methods can be called. ThisComponent is used in Basic, where it represents the current document. Properties and methods available through ThisComponent depend on the document type.

### Syntax:

ThisComponent

### Example:

    Sub Main
    REM nadogradjuje "Table of Contents" u text doc
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Table of Contents1")
        REM koristi postojece ime Table of Contents i a 1
        index.update()
    End Sub